package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.VideoMonitor;
import com.lightinit.hsdatashow.entity.VideoMonitorExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.ChartModel;
import com.lightinit.hsdatashow.model.admin.MapModel;
import org.apache.ibatis.annotations.Param;

public interface VideoMonitorMapper {
    long countByExample(VideoMonitorExample example);

    int deleteByExample(VideoMonitorExample example);

    int deleteByPrimaryKey(Long id);

    int insert(VideoMonitor record);

    int insertSelective(VideoMonitor record);

    List<VideoMonitor> selectByExample(VideoMonitorExample example);

    VideoMonitor selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") VideoMonitor record, @Param("example") VideoMonitorExample example);

    int updateByExample(@Param("record") VideoMonitor record, @Param("example") VideoMonitorExample example);

    int updateByPrimaryKeySelective(VideoMonitor record);

    int updateByPrimaryKey(VideoMonitor record);

    List<MapModel> getVideoMonitor(byte b);

    List<MapModel> getImportantAreaMonitor(byte b);
}